package com.officetetsu.mybrowser;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.ArrayAdapter;
import android.widget.ImageButton;
import android.widget.MultiAutoCompleteTextView;

public class MyBrowser extends Activity
implements OnClickListener{
	
	private WebView webView;
	private ImageButton b_prev;
	private ImageButton b_go;
	private ImageButton b_next;
	private MultiAutoCompleteTextView urlbox;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		b_prev = (ImageButton)findViewById(R.id.imageButton1);
		b_next = (ImageButton)findViewById(R.id.imageButton3);
		b_go = (ImageButton)findViewById(R.id.imageButton2);
		b_prev.setOnClickListener(this);
		b_next.setOnClickListener(this);
		b_go.setOnClickListener(this);
		
		ArrayAdapter<String> adapter = 
			new  ArrayAdapter<String>(
				this,
				android.R.layout.simple_dropdown_item_1line,
				getResources().getStringArray(R.array.sitenames)
			);

		urlbox = (MultiAutoCompleteTextView)findViewById(R.id.multiAutoCompleteTextView1);
		urlbox.setAdapter(adapter);
		urlbox.setTokenizer(new UrlTokenizer());
		
		webView = (WebView) findViewById(R.id.webView1);
		webView.setWebViewClient(new WebViewClient());
		webView.getSettings().setJavaScriptEnabled(true);
		webView.getSettings().setBuiltInZoomControls(true);
		webView.loadUrl("http://www.google.com/");
	}

	@Override
	public void onClick(View arg0) {
		// TODO Auto-generated method stub
		if(arg0 == b_go){
			String url = urlbox.getText().toString();
			webView.loadUrl(url);
		} else
		if(arg0 == b_prev){
			//if(webView.canGoBack())
				webView.goBack();
		} else
		if(arg0 == b_next){
			//if(webView.canGoForward())
				webView.goForward();
		}
	}
}